#include <cstdio>
#include <map>
#include <string>

using namespace std;

int R, S;
char A[41][101];
char Z[41][101] = {
   "XXX  X  XXX XXX X X XXX XXX XXX XXX XXX",
   "X X XX    X   X X X X   X     X X X X X",
   "X X  X  XXX XXX XXX XXX XXX   X XXX XXX",
   "X X  X  X     X   X   X X X   X X X   X",
   "XXX XXX XXX XXX   X XXX XXX   X XXX XXX",
};

const int dr[4] = { -1, 0, 1, 0 };
const int ds[4] = { 0, 1, 0, -1 };
const char dc[4] = { 'U', 'R', 'D', 'L' };

map< string, int > broj;

string obidji( char polje[][101], int r, int s ) {
   if( r < 0 || s < 0 ) return "";
   if( polje[r][s] != 'X' ) return "";
   polje[r][s] = '.';

   string ret;
   for( int d = 0; d < 4; ++d )
      ret += dc[d] + obidji( polje, r+dr[d], s+ds[d] );

   return ret;
}

int main( void ) {
   for( int s = 0; s < 39; ++s )
      for( int r = 0; r < 5; ++r )
         if( Z[r][s] == 'X' )
            broj[ obidji( Z, r, s ) ] = s/4;

   scanf( "%d%d", &R, &S );
   for( int r = 0; r < R; ++r ) scanf( "%s", A[r] );

   for( int s = 0; s < S; ++s )
      for( int r = 0; r < R; ++r )
         if( A[r][s] == 'X' )
            printf( "%d", broj[ obidji( A, r, s ) ] );

   printf( "\n" );

   return 0;
}
