/*
	Zupanijsko natjecanje - I. podskupina - 3. zadatak (STAZA)
	Rjesenje napisao: Zvonimir Bujanovic
*/

#include <cstdio>
#include <cstdlib>

#define MAX_UPUTA   	   5
#define MAX_START   	1000
#define MAX_DULJINA		 100

#define error( s ) { printf( "%s\n", s ); exit( 0 ); }

int main( void )
{
	int brojUputa, staza[ MAX_START + MAX_DULJINA ] = { 0 };
	scanf( "%d", &brojUputa );
	
	if( !( 1 <= brojUputa && brojUputa <= MAX_UPUTA ) )
		error( "Pogresan broj uputa." );
		
	for( int uputa = 0; uputa < brojUputa; ++uputa )
	{
		int start, duljina;
		scanf( "%d%d", &start, &duljina );
		
		if( !( 0 <= start && start <= MAX_START ) )
			error( "Pogresan pocetak upute." );
			
		if( !( 1 <= duljina && duljina <= MAX_DULJINA ) ) 
			error( "Pogresna duljina upute." );
			
		for( int x = start; x < start + duljina; ++x )
			staza[ x ] = 1;
	}		

	int ukupnaDuljina = 0, najduljiDio = 0;
	for( int x = 0; x < MAX_START + MAX_DULJINA; ++x )
		if( staza[ x ] == 1 )
		{
			++ukupnaDuljina;
			
			int duljinaDijela = 0, xx = x;
			while( xx >= 0 && staza[ xx ] == 1 )
				--xx, ++duljinaDijela; // kako neoptimalno!? ;)
			
			if( najduljiDio < duljinaDijela )
				najduljiDio = duljinaDijela;
		}

	printf( "UKUPNA DULJINA: %d\n", ukupnaDuljina );
	printf( "NAJDULJI DIO: %d\n", najduljiDio );

	return 0;
}
