/*
	Drzavno natjecanje 2009. - II. podskupina
	2. zadatak - PARK
	
	Rjesenje napisao: Zvonimir Bujanovic
*/

#include<cstdio>

int velicinaParkinga, parking[ 1000 ];

int nadjiSlobodno()
{
	// 3-park?
	for( int mjesto = 2; mjesto <= velicinaParkinga - 1; ++mjesto )
	    if( parking[ mjesto - 1 ] == 0 && parking[ mjesto ] == 0 && parking[ mjesto + 1 ] == 0 )
	        return mjesto;
	        
	// 2-park?
	for( int mjesto = 2; mjesto <= velicinaParkinga; ++mjesto )
	    if( parking[ mjesto - 1 ] == 0 && parking[ mjesto ] == 0 )
	        return mjesto;
	        
	// prvo slobodno mjesto
	for( int mjesto = 1; mjesto <= velicinaParkinga; ++mjesto )
	    if( parking[ mjesto ] == 0 )
	        return mjesto;
	        
	// parking je pun?!?!?
	return -1;
}

int main( void )
{
	FILE *fin, *fout;
	
	fin = fopen( "ulaz.txt", "rt" );
	fout = fopen( "izlaz.txt", "wt" );

	int brojZauzetihMjesta;
	fscanf( fin, "%d", &velicinaParkinga );
	fscanf( fin, "%d", &brojZauzetihMjesta );
	for( int i = 0; i < brojZauzetihMjesta; ++i )
	{
		int mjesto;
		fscanf( fin, "%d", &mjesto );
		parking[ mjesto ] = 1;
	}

	int brojDogadjaja;
	fscanf( fin, "%d", &brojDogadjaja );
	for( int i = 0; i < brojDogadjaja; ++i )
	{
		char dogadjaj;
		fscanf( fin, " %c", &dogadjaj );
		
		switch( dogadjaj )
		{
			case 'U':
			{
				int mjesto = nadjiSlobodno();
				
				if( mjesto == -1 )
					fprintf( stderr, "----- PARKING JE PUN!!!!! -----\n" );
					
				parking[ mjesto ] = 1;
				fprintf( fout, "ULAZ: %d\n", mjesto );
				break;
			}

			case 'I':
			{
				int mjesto;
				fscanf( fin, "%d", &mjesto );
				
				if( parking[ mjesto ] != 1 )
					fprintf( stderr, "----- MJESTO NIJE ZAUZETO!!!!! -----\n" );
					
				parking[ mjesto ] = 0;
				break;
			}

			case 'P':
			{
				int suma = 0;
				for( int mjesto = 1; mjesto <= velicinaParkinga; ++mjesto )
				    if( parking[ mjesto ] == 1 )
				        suma += mjesto;

				fprintf( fout, "ISPIS: %d\n", suma );
				break;
			}
			
			default:
				fprintf( stderr, "----- KRIVA NAREDBA!!!!! -----\n" );
		}
	}
	
	fclose( fin );
	fclose( fout );

	return 0;
}
