/*
	Zupanijsko natjecanje - I. podskupina - 2. zadatak (PIKADO 24)
	Rjesenje napisao: Zvonimir Bujanovic
*/

#include <cstdio>
#include <cstdlib>

#define error( s ) { printf( "%s\n", s ); exit( 0 ); }

int main( void )
{
	int brojRundi;	
	scanf( "%d", &brojRundi );
	
	int aTotal = 24, bTotal = 24, cTotal = 24;
	for( int runda = 0; runda < brojRundi; ++runda )
	{
		int a, b, c;
		scanf( "%d%d%d", &a, &b, &c );
		
		if( !( a == 3 || a == 6 || a == 9 ) )
			error( "Krivi bodovi za A.J." );

		if( !( b == 3 || b == 6 || b == 9 ) )
			error( "Krivi bodovi za B.J." );

		if( !( c == 3 || c == 6 || c == 9 ) )
			error( "Krivi bodovi za C.J." );

		if( aTotal >= a )
			aTotal -= a;
			
		if( bTotal >= b )
			bTotal -= b;
			
		if( cTotal >= c )
			cTotal -= c;
			
		if( ( aTotal == 0 || bTotal == 0 || cTotal == 0 ) && runda != brojRundi - 1 )
			error( "Igra je gotova, a ostalo je jos ucitavanja." );
	}
	
	printf( "A.J.:%d\n", aTotal );
	printf( "B.J.:%d\n", bTotal );
	printf( "C.J.:%d\n", cTotal );

	return 0;
}
