/*
	Zupanijsko natjecanje - II. podskupina - 1. zadatak (SIJESETE)
	Rjesenje napisao: Zvonimir Bujanovic
*/

#include <cstdio>
#include <cstdlib>

#define MIN_NAGLAS  	 2
#define MAX_NAGLAS  	10
#define MIN_POKAZAO		 0
#define MAX_POKAZAO 	 5	

#define error( s ) { printf( "%s\n", s ); exit( 0 ); }

int main( void )
{
	int luigiBodovi = 0, rokoBodovi = 0;
	
	for( int runda = 0; runda < 3; ++runda )
	{
		int luigiNaglas, luigiPokazao, rokoNaglas, rokoPokazao;
		scanf( "%d%d%d%d", &luigiNaglas, &luigiPokazao, &rokoNaglas, &rokoPokazao );
		
		if( !( MIN_NAGLAS <= luigiNaglas && luigiNaglas <= MAX_NAGLAS ) )
			error( "Luigi naglas nije u granicama." );

		if( !( MIN_NAGLAS <= rokoNaglas && rokoNaglas <= MAX_NAGLAS ) )
			error( "Roko naglas nije u granicama." );

		if( !( MIN_POKAZAO <= luigiPokazao && luigiPokazao <= MAX_POKAZAO ) )
			error( "Luigi pokazao nije u granicama." );
		
		if( !( MIN_POKAZAO <= rokoPokazao && rokoPokazao <= MAX_POKAZAO ) )
			error( "Roko pokazao nije u granicama." );
			
		int event = 2 * ( luigiNaglas == luigiPokazao + rokoPokazao ) + ( rokoNaglas == luigiPokazao + rokoPokazao );
		
		if( event == 2 )
			++luigiBodovi;
		else if( event == 1 )
			++rokoBodovi;
	}
	
	if( luigiBodovi > rokoBodovi )
		printf( "LUIGI\n" );
	else if( rokoBodovi > luigiBodovi )
		printf( "ROKO\n" );
	else
		printf( "NERIJESENO\n" );
		
	printf( "LUIGI:%d\n", luigiBodovi );
	printf( "ROKO:%d\n", rokoBodovi );
	
	return 0;
}
