program skakac;

const dr : array[1..8] of integer = ( 1, 2, 2, 1, -1, -2, -2, -1 );
const ds : array[1..8] of integer = ( -2, -1, 1, 2, 2, 1, -1, -2 );
const inv: array[1..8] of integer = ( 5, 6, 7, 8, 1, 2, 3, 4 );

var
   R, S, K, r0, s0 : longint;
   a : array[1..10, 1..10] of longint;
   memo : array[0..100, 1..10, 1..10, 0..8] of longint;
   rr, ss : longint;

function max( a, b : longint ) : longint;
begin
   if a > b then max := a else max := b;
end;

function rec( k, rr, ss, last_d : longint ) : longint;
var
   d, rrr, sss : longint;
begin
   if k = 0 then begin
      rec := a[rr, ss];
   end else if memo[k, rr, ss, last_d] > 0 then begin
      rec := memo[k, rr, ss, last_d];
   end else begin
      rec := 0;
      for d := 1 to 8 do begin
         rrr := rr+dr[d];
         sss := ss+ds[d];
         if inv[d] = last_d then continue;
         if (rrr < 1) or (rrr > R) then continue;
         if (sss < 1) or (sss > S) then continue;
         rec := max( rec, a[rr, ss] + rec( k-1, rrr, sss, d ) );
      end;
      memo[k, rr, ss, last_d] := rec;
   end;
end;

begin
   readln( R, S );
   for rr := 1 to R do begin
      for ss := 1 to S do
         read( a[rr, ss] );
      readln;
   end;

   readln( r0, s0 );
   readln( k );

   writeln( rec( k, r0, s0, 0 ) );
end.
