/*
	Zupanijsko natjecanje - I. podskupina - 1. zadatak (TRAMVAJ)
	Rjesenje napisao: Zvonimir Bujanovic
*/

#include <cstdio>
#include <cstdlib>

#define MAX_SPAVANJE	1000
#define MAX_STANICA 	 100

#define error( s ) { printf( "%s\n", s ); exit( 0 ); }

int main( void )
{
	int trajanjeSpavanja, trajanjeStanica;
	scanf( "%d%d", &trajanjeSpavanja, &trajanjeStanica );
	
	if( !( 1 <= trajanjeSpavanja && trajanjeSpavanja <= MAX_SPAVANJE ) )
		error( "Trajanje spavanja nije u granicama." );
	
	if( !( 1 <= trajanjeStanica && trajanjeStanica <= MAX_STANICA ) )
		error( "Trajanje stanica nije u granicama." );
		
	printf( "%d\n", trajanjeSpavanja / trajanjeStanica - ( trajanjeSpavanja % trajanjeStanica == 0 ) );
	
	return 0;
}
